> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-fix-ts-sdk-github-npm-links.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Google Review Events

> When a Google review request event occurs, a webhook is sent to the registered endpoint containing the Doctor ID, Google review link, and Patient ID.
The receiving system can use these details to update or manage Google review information as needed.



## OpenAPI

````yaml post /registered_url_for_google_review_events
openapi: 3.1.0
info:
  title: Transaction Status API
  version: 1.0.0
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://{partner_host}
    variables:
      partner_host:
        default: api.example.com
        description: Partner API host
security: []
paths:
  /registered_url_for_google_review_events:
    post:
      tags:
        - Doctor Webhooks
      summary: Google Review Events
      description: >-
        When a Google review request event occurs, a webhook is sent to the
        registered endpoint containing the Doctor ID, Google review link, and
        Patient ID.

        The receiving system can use these details to update or manage Google
        review information as needed.
      operationId: GoogleReviewRequestWebhook
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: object
              required:
                - event
                - event_time
                - timestamp
                - client_id
                - business_id
                - data
              properties:
                event:
                  type: string
                  enum:
                    - google_review.request
                  example: google_review.request
                  description: Type of event
                event_time:
                  type: integer
                  example: 1730189586
                  description: Event occurred timestamp
                timestamp:
                  type: integer
                  example: 1730189586
                  description: Timestamp of the event
                client_id:
                  type: string
                  example: 67978400352a61001d64e9fb
                  description: Client ID for the schedule
                business_id:
                  type: string
                  example: '174159057718553'
                  description: Business ID for the schedule
                data:
                  type: object
                  required:
                    - doctor_id
                    - google_review_link
                    - patient_id
                  properties:
                    doctor_id:
                      type: string
                      example: '174159057723920'
                      description: Identifier for the respective doctor in Eka
                    google_review_link:
                      type: string
                      example: https://g.page/r/CRVNub8JgYWLEA0/review
                      description: Google review link
                    patient_id:
                      type: string
                      example: '174159057723925'
                      description: Identified for the respective patient in Eka
                    appointment_id:
                      type: string
                      example: api-abb67007-1e53-4f0f-b428-a4bc025468a4
                      description: Unique identifier for the appointment.
                    clinic_id:
                      type: string
                      example: 67978400352a61001d64e9fb
                      description: Unique identifier of the clinic
      deprecated: false

````